/* ************************************************************************************** */
/* Program 		: Liquidity_Pontiff_Singla_4.sas                                           */
/* Date Updated	: Jun 2019                                                                */
/* Author  		: Jeffrey Pontiff & Rohit Singla                                          */
/* Paper   		: Pontiff, Jeffrey and Rohit Singla, Liquidity Risk? (Feb 2019). 	      */
/*				  Accepted in Critical Finance Review (CFR) journal					      */
/*			 	  Available at http://dx.doi.org/10.2139/ssrn.3320011					  */
/*			 	  PERMISSION TO USE THIS PROGRAM IS GRANTED UNDER THE CONDITION 		  */
/*			 	  THAT THE USER(S)CITE PONTIFF AND SINGLA'S CFR PUBLICATION	  		      */
/* Summary 		: This program produces the summary statistics presented in Pontiff Singla*/	
/*				  Table 5. This program was designed for PC SAS.						  */
/*				  This program requires the final_liquidity data from                     */
/*				  Liquidity_Pontiff_Singla_1.sas, and data from                           */
/*                Liquidity_Pontiff_Singla_2.sas. For this program the user must run      */
/*                Liquidity_Pontiff_Singla_1.sas selecting the option of a value-weighted */
/*                index that selects all stocks regardless of price level. The name of the*/
/*                produced dataset, final_liquidity, should be renamed as final_vw_all_prc*/
/* ************************************************************************************** */

libname final 'C:\Users\pontiff\Documents\Pastor Stambaugh\final';
libname orig 'C:\Users\pontiff\Documents\Pastor Stambaugh\Basic all data';
data fair;
set final.final_vw_all_prc;
trade_fair=12*traded_liquidity;
index_fair=resid;
keep year month trade_fair index_fair;
data all;
merge final.final_zero final.final_liquid final.final_bas final.final_amihud  fair;  
by year month;
  trade_zero=12*trade_zero;
  trade_bas = 12*trade_bas;
 hybrid =12*trade_liquid;
 trade_amihud=12*trade_amihud;

proc corr;
      Title 'after August 1962';
  where year>=1963 or (year=1962 and month>=8);
     var index_zero index_bas index_liquid index_amihud index_fair;
	 with index_bas index_liquid index_amihud index_fair;   
 proc corr;
   title '1968 to 2017';
     Where year>=1968;
     var trade_zero trade_bas hybrid  trade_amihud trade_fair;
	 with trade_bas hybrid trade_amihud trade_fair;
run;
proc univariate;
   title '1968 to 2017';
     Where year>=1968;
   var trade_zero trade_bas hybrid  trade_amihud  trade_fair;
   run;

   proc corr;
      Title 'all';
	  Where year>=1927;
     var index_zero index_bas index_liquid index_amihud index_fair;
	 with index_bas index_liquid index_amihud index_fair;
 proc corr;
   Title 'all';
      var trade_zero trade_bas hybrid  trade_amihud trade_fair;
	 with trade_bas hybrid trade_amihud trade_fair;
	 run;
proc univariate;
   Title 'all';
  var trade_zero trade_bas hybrid trade_amihud trade_fair;   
run;
